package com.sd.business.controller.sku;

import com.sd.business.entity.sku.dto.SkuClassifySelectDto;
import com.sd.business.entity.sku.vo.SkuClassifyVo;
import com.sd.business.service.sku.SkuClassifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * sku分类 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@RestController
@RequestMapping("/skuClassify")
public class SkuClassifyController {

    @Autowired
    private SkuClassifyService skuClassifyService;

    /**
     * sku树形列表
     */
    @PostMapping("/tree")
    public List<SkuClassifyVo> tree(@RequestBody SkuClassifySelectDto dto) {
        return skuClassifyService.getTree(dto);
    }

}
