package com.sd.business.entity.sku.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * sku分类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
@TableName("sku_classify")
public class SkuClassify extends BasePo {

    /**
     * 上级分类id
     */
    private Long parentId;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 万里牛catagoryId
     */
    private String wlnCatagoryId;

    /**
     * 万里牛parentId
     */
    private String wlnParentId;

    /**
     * 排序
     */
    private Integer sort;

}
