package com.sd.wln.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * 商品分类参数实体类
 */
@Getter
@Setter
public class GoodsSpecParam extends Signature {

    /**
     * 规格编码
     */
    private String spec_code;

    /**
     * 商品编码
     */
    private String item_code;

    /**
     * 规格修改时间
     */
    private Long modify_time;

    /**
     * 条码
     */
    private String bar_code;

    /**
     * 是否需要查询商品自定义属性(默认不传为false)
     */
    private String need_properties;

}
