package com.sd.business.entity.sku.vo;

import com.sd.business.entity.sku.po.SkuClassify;
import com.sd.framework.util.tree.Tree;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * sku分类列表查询返回值实体
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
public class SkuClassifyVo extends SkuClassify implements Tree<SkuClassifyVo> {

    /**
     * 子节点
     */
    private List<SkuClassifyVo> children;

}
