package com.sd.business.service.artwork;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.artwork.dto.ArtworkLibraryDto;
import com.sd.business.entity.artwork.dto.ArtworkLibrarySelectDto;
import com.sd.business.entity.artwork.po.ArtworkLibrary;
import com.sd.business.entity.artwork.vo.ArtworkLibraryVo;


/**
 * <p>
 * 图稿库 服务类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface ArtworkLibraryService extends BaseService<ArtworkLibrary> {

    /**
     * 图稿库分页
     */
    Page<ArtworkLibraryVo> getPage(ArtworkLibrarySelectDto dto);

    /**
     * 图稿库明细
     */
    ArtworkLibraryVo detail(Long id);

    /**
     * 图稿库新增
     */
    void add(ArtworkLibraryDto dto);

    /**
     * 图稿库编辑
     */
    void edit(ArtworkLibraryDto dto);

    /**
     * 图稿库删除
     */
    void delete(Long id);

}
