package com.sd.business.service.sku;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.dto.SkuClassifySelectDto;
import com.sd.business.entity.sku.po.SkuClassify;
import com.sd.business.entity.sku.vo.SkuClassifyVo;

import java.util.List;


/**
 * <p>
 * sku分类 服务类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface SkuClassifyService extends BaseService<SkuClassify> {

    /**
     * sku树形列表
     */
    List<SkuClassifyVo> getTree(SkuClassifySelectDto dto);

}
