package com.sd.business.service.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.dto.SkuSpecDto;
import com.sd.business.entity.sku.dto.SkuSpecSelectDto;
import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.entity.sku.vo.SkuSpecVo;


/**
 * <p>
 * sku规格 服务类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface SkuSpecService extends BaseService<SkuSpec> {

    /**
     * sku规格分页
     */
    Page<SkuSpecVo> getPage(SkuSpecSelectDto dto);

    /**
     * sku规格明细
     */
    SkuSpecVo detail(Long id);

    /**
     * sku规格新增
     */
    void add(SkuSpecDto dto);

    /**
     * sku规格编辑
     */
    void edit(SkuSpecDto dto);

    /**
     * sku规格删除
     */
    void delete(Long id);

}
