package com.sd.framework.controller;

import com.fjhx.tenant.entity.dict.po.DictCommonData;
import com.fjhx.tenant.service.dict.DictCommonDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@RestController
public class SdDictController {

    @Autowired
    private DictCommonDataService dictCommonDataService;

    /**
     * 字典对象
     */
    @PostMapping("/allDictMap")
    public Map<String, List<DictCommonData>> allDictMap() {
        return dictCommonDataService.list(q -> q.orderByAsc(DictCommonData::getSort))
                .stream().collect(Collectors.groupingBy(DictCommonData::getDictCode));
    }

}
