package com.sd.framework.util.packing;

import cn.hutool.core.util.IdUtil;
import com.sd.framework.util.packing.entity.Instance;
import com.sd.framework.util.packing.entity.Square;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class ReadDataUtil {
    public static Instance getInstance(String path) throws IOException {
        BufferedReader bufferedReader = new BufferedReader(new FileReader(path));
        String input;
        Instance instance = new Instance();
        List<Square> squareList = new ArrayList<>();
        boolean isFirstLine = true;
        while ((input = bufferedReader.readLine()) != null) {
            String[] split = input.split(" ");
            if (isFirstLine) {
                instance.setLength(Double.parseDouble(split[0]));
                instance.setWidth(Double.parseDouble(split[1]));
                instance.setRotateEnable(split[2].equals("1"));
                isFirstLine = false;
            } else {
                squareList.add(new Square(IdUtil.getSnowflakeNextId(), Double.parseDouble(split[0]), Double.parseDouble(split[1])));
            }
        }
        instance.setSquareList(squareList);
        return instance;
    }
}