package com.sd.framework.util.packing.entity;

import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class PlacePoint implements Comparable<PlacePoint> {
    private double x, y, length;

    public PlacePoint(double x, double y, double length) {
        this.x = x;
        this.y = y;
        this.length = length;
    }

    @Override
    public int compareTo(PlacePoint placePoint) {
        // 优先往下排 然后优先往左排
        int compare_y = Double.compare(y, placePoint.y);
        if (compare_y != 0) {
            return compare_y;
        } else {
            return Double.compare(x, placePoint.x);
        }
    }

}
